frontends: Check for sr/srd minimum versions.
authorUwe Hermann <uwe@hermann-uwe.de>
Sun, 15 Jan 2012 19:30:10 +0000 (20:30 +0100)
committerUwe Hermann <uwe@hermann-uwe.de>
Sun, 15 Jan 2012 19:30:10 +0000 (20:30 +0100)
configure.ac

index 1d480c6e7328d938e38b6a77af0b2291d9252535..531b5ac4be09cad165d241cc847a8545786662fa 100644 (file)
@@ -55,11 +55,11 @@ PKG_PROG_PKG_CONFIG([0.22])
 AM_PATH_GLIB_2_0([2.22.0],
         [CFLAGS="$CFLAGS $GLIB_CFLAGS"; LIBS="$LIBS $GLIB_LIBS"])
 
-PKG_CHECK_MODULES([libsigrok], [libsigrok],
+PKG_CHECK_MODULES([libsigrok], [libsigrok >= 0.2],
        [CFLAGS="$CFLAGS $libsigrok_CFLAGS";
        LIBS="$LIBS $libsigrok_LIBS"])
 
-PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode],
+PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode >= 0.2],
        [CFLAGS="$CFLAGS $libsigrokdecode_CFLAGS";
        LIBS="$LIBS $libsigrokdecode_LIBS"])